import { E as ElementModel } from "./background.js";
class CellModel extends ElementModel {
  constructor(data) {
    super(data);
    this.$active = false;
    this.$loaded = false;
    this.$activeSide = "";
    this.offset = data.offset || {
      x: 0,
      y: 0
    };
    this.zoom = data.zoom || 1;
    this.rotate = Math.round(this.rotate, 10);
  }
}
export { CellModel as C };
